<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.20
Name: AssignedPartyNL
Description: De verantwoordelijke partij
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000">
   <title>AssignedPartyNL</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]"
         id="d13e28065-false-d454260e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&gt;=1">(AssignedPartyNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&lt;=1">(AssignedPartyNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="$elmcount&gt;=1">(AssignedPartyNL): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="$elmcount&lt;=1">(AssignedPartyNL): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(AssignedPartyNL): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(AssignedPartyNL): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:code)&lt;=1">(AssignedPartyNL): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson[@classCode='PSN']|hl7:assignedOrganization[@classCode='ORG'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="$elmcount&gt;=1">(AssignedPartyNL): keuze (hl7:assignedPerson[@classCode='PSN'] of hl7:assignedOrganization[@classCode='ORG']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="$elmcount&lt;=1">(AssignedPartyNL): keuze (hl7:assignedPerson[@classCode='PSN'] of hl7:assignedOrganization[@classCode='ORG']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']])&gt;=1">(AssignedPartyNL): element hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']])&lt;=1">(AssignedPartyNL): element hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']"
         id="d13e28074-false-d454345e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.70.20')">(AssignedPartyNL): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.70.20' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="d13e28084-false-d454358e0">
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(AssignedPartyNL): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="d13e28092-false-d454374e0">
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(AssignedPartyNL): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:code
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:code"
         id="d13e28103-false-d454390e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:addr
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:addr"
         id="d13e28107-false-d454402e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedPerson[@classCode='PSN']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedPerson[@classCode='PSN']"
         id="d13e28111-false-d454414e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@classCode)=('PSN')">(AssignedPartyNL): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(AssignedPartyNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:name)&gt;=1">(AssignedPartyNL): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedPerson[@classCode='PSN']/hl7:name
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedPerson[@classCode='PSN']/hl7:name"
         id="d13e28120-false-d454438e0">
      <extends rule="EN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedOrganization[@classCode='ORG']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedOrganization[@classCode='ORG']"
         id="d13e28125-false-d454450e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@classCode)=('ORG')">(AssignedPartyNL): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(AssignedPartyNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:name)&gt;=1">(AssignedPartyNL): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedOrganization[@classCode='ORG']/hl7:name
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:assignedOrganization[@classCode='ORG']/hl7:name"
         id="d13e28134-false-d454474e0">
      <extends rule="EN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]"
         id="d13e28139-false-d454486e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@classCode)=('ORG')">(AssignedPartyNL): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(AssignedPartyNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1">(AssignedPartyNL): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="count(hl7:code)&lt;=1">(AssignedPartyNL): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="d13e28145-false-d454525e0">
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(AssignedPartyNL): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:code
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:code"
         id="d13e28150-false-d454541e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:name
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:name"
         id="d13e28152-false-d454553e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:addr
Item: (AssignedPartyNL)
-->

   <rule context="*[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]/hl7:representedOrganization[@classCode='ORG'][hl7:id[@root='2.16.528.1.1007.3.3']]/hl7:addr"
         id="d13e28155-false-d454565e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20180116T175225/tmp-2.16.840.1.113883.2.4.6.10.70.20-2011-12-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedPartyNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
